/* 
 * Copyright (c) 1993-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef MOUSE3D_PRINT_H
#define MOUSE3D_PRINT_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/genManipTclservClientEncode.h"

#include "server/tclservClient/genBasicTclservClientEncode.h"


#include "server/mouse3dPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
void buf_add_struct_MOUSE3D_MEASURES_POSTER_STR ( buf_t buf, struct MOUSE3D_MEASURES_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_mouse3d_ids ( buf_t buf, struct mouse3d_ids *x, int nDim, int *dims);
void buf_add_struct_mouse3d_thresholds ( buf_t buf, struct mouse3d_thresholds *x, int nDim, int *dims);
void buf_add_struct_mouse3d_gains ( buf_t buf, struct mouse3d_gains *x, int nDim, int *dims);
void buf_add_struct_mouse3d_bindings ( buf_t buf, struct mouse3d_bindings *x, int nDim, int *dims);
void buf_add_struct_mouse3d_path ( buf_t buf, struct mouse3d_path *x, int nDim, int *dims);

/* ======================== PRINT DES TYPEDEF ============================= */

void buf_add_mouse3d_path ( buf_t buf, mouse3d_path *x, int nDim, int *dims);
void buf_add_mouse3d_bindings ( buf_t buf, mouse3d_bindings *x, int nDim, int *dims);
void buf_add_mouse3d_gains ( buf_t buf, mouse3d_gains *x, int nDim, int *dims);
void buf_add_mouse3d_thresholds ( buf_t buf, mouse3d_thresholds *x, int nDim, int *dims);
void buf_add_mouse3d_ids ( buf_t buf, mouse3d_ids *x, int nDim, int *dims);
void buf_add_MOUSE3D_MEASURES_POSTER_STR ( buf_t buf, MOUSE3D_MEASURES_POSTER_STR *x, int nDim, int *dims);
#ifdef __cplusplus
}
#endif

#endif /* MOUSE3D_TCLSERV_CLIENT_ENCODE_H */

