
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef MOUSE3D_SCAN_H
#define MOUSE3D_SCAN_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/genManipTclservClientDecode.h"

#include "server/tclservClient/genBasicTclservClientDecode.h"


/* Structures du module */
#include "server/mouse3dPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
int scan_buf_struct_MOUSE3D_MEASURES_POSTER_STR (char** buf, struct MOUSE3D_MEASURES_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_mouse3d_ids (char** buf, struct mouse3d_ids *x, int nDim, int *dims );
int scan_buf_struct_mouse3d_thresholds (char** buf, struct mouse3d_thresholds *x, int nDim, int *dims );
int scan_buf_struct_mouse3d_gains (char** buf, struct mouse3d_gains *x, int nDim, int *dims );
int scan_buf_struct_mouse3d_bindings (char** buf, struct mouse3d_bindings *x, int nDim, int *dims );
int scan_buf_struct_mouse3d_path (char** buf, struct mouse3d_path *x, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

int scan_buf_mouse3d_path (char** buf, mouse3d_path *x, int nDim, int *dims );
int scan_buf_mouse3d_bindings (char** buf, mouse3d_bindings *x, int nDim, int *dims );
int scan_buf_mouse3d_gains (char** buf, mouse3d_gains *x, int nDim, int *dims );
int scan_buf_mouse3d_thresholds (char** buf, mouse3d_thresholds *x, int nDim, int *dims );
int scan_buf_mouse3d_ids (char** buf, mouse3d_ids *x, int nDim, int *dims );
int scan_buf_MOUSE3D_MEASURES_POSTER_STR (char** buf, MOUSE3D_MEASURES_POSTER_STR *x, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* MOUSE3D_SCAN_H */

